DCMTK: DSRDocumentTreeNodeHasSiblingsFilter Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DSRDocumentTreeNodeHasSiblingsFilter Class Reference

Class implementing a document tree node filter that checks for the presence (or absence) of sibling nodes. More...

Inheritance diagram for DSRDocumentTreeNodeHasSiblingsFilter:

## Public Member Functions
| DSRDocumentTreeNodeHasSiblingsFilter (const OFBool hasSiblings=OFTrue)
| (default) constructor
virtual | ~DSRDocumentTreeNodeHasSiblingsFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes
const OFBool | HasSiblings
| mode specifying whether the filter matches on the presence or absence of sibling nodes

## Detailed Description

Class implementing a document tree node filter that checks for the presence (or absence) of sibling nodes.

## Constructor & Destructor Documentation

## ◆ DSRDocumentTreeNodeHasSiblingsFilter()

DSRDocumentTreeNodeHasSiblingsFilter::DSRDocumentTreeNodeHasSiblingsFilter | ( | const OFBool | hasSiblings = OFTrue | ) |

(default) constructor

Parameters

  hasSiblings | mode specifying whether the filter matches on the presence (default) or absence of sibling nodes

## Member Function Documentation

## ◆ matches()

virtual OFBool DSRDocumentTreeNodeHasSiblingsFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const
| virtual

check whether given node matches the filter criterion

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1